Bug 141823 - audio/mpg123 update and fix
Summary: audio/mpg123 update and fix
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Roman Bogorodskiy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-21 01:40 UTC by Oliver Herold
Modified: 2010-01-04 21:34 UTC (History)
0 users

See Also:


Attachments
file.diff (1.01 KB, patch)
2009-12-21 01:40 UTC, Oliver Herold
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Herold 2009-12-21 01:40:02 UTC
-audio/mpg123 update
-this update fixes this problem: http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/141766
Comment 1 Edwin Groothuis freebsd_committer 2009-12-21 01:40:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->novel

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 WATANABE Kazuhiro 2009-12-21 12:14:27 UTC
Hi.

Your patch causes errors when you run "make package" and
"make deinstall".

# make package
===>  Building package for mpg123-1.10.0
tar: lib/libmpg123.so.20: Cannot stat: No such file or directory
tar: Error exit delayed from previous errors.
pkg_create: make_dist: tar command failed with code 256
Creating package /usr/ports/packages/All/mpg123-1.10.0.tgz
Registering depends: libltdl-2.2.6b.
Creating gzip'd tar ball in '/usr/ports/packages/All/mpg123-1.10.0.tgz'
*** Error code 1

Stop in /usr/ports/audio/mpg123.
# make deinstall
===>  Deinstalling for audio/mpg123
===>   Deinstalling mpg123-1.10.0
pkg_delete: file '/usr/local/lib/libmpg123.so.20' doesn't exist
pkg_delete: couldn't entirely delete package (perhaps the packing list is
incorrectly specified?)
# 

Try this patch:

diff -pruN mpg123.orig/Makefile mpg123/Makefile
--- mpg123.orig/Makefile	2009-12-21 19:04:26.000000000 +0900
+++ mpg123/Makefile	2009-12-21 19:12:15.000000000 +0900
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	mpg123
-PORTVERSION=	1.9.1
+PORTVERSION=	1.10.0
 CATEGORIES=	audio ipv6
 MASTER_SITES=	SF \
 		http://www.mpg123.de/download/
diff -pruN mpg123.orig/distinfo mpg123/distinfo
--- mpg123.orig/distinfo	2009-11-21 04:56:08.000000000 +0900
+++ mpg123/distinfo	2009-12-21 19:11:56.000000000 +0900
@@ -1,3 +1,3 @@
-MD5 (mpg123-1.9.1.tar.bz2) = 39aa4407b53fa8c86f7d963bfe0702c9
-SHA256 (mpg123-1.9.1.tar.bz2) = 58b0a60abf9e437b955ea657d948e0815b5c6b1bad15c49f106c334086d82e34
-SIZE (mpg123-1.9.1.tar.bz2) = 736625
+MD5 (mpg123-1.10.0.tar.bz2) = 0005c9a89c381484e2d2ff450b3dfe5e
+SHA256 (mpg123-1.10.0.tar.bz2) = bcabf4549a4ed65770a80ff80ae54d471b064e2be22f1560764c007da834bc53
+SIZE (mpg123-1.10.0.tar.bz2) = 745415
diff -pruN mpg123.orig/pkg-plist mpg123/pkg-plist
--- mpg123.orig/pkg-plist	2009-08-21 03:53:59.000000000 +0900
+++ mpg123/pkg-plist	2009-12-21 19:11:56.000000000 +0900
@@ -2,7 +2,7 @@ bin/mpg123
 include/mpg123.h
 lib/libmpg123.la
 lib/libmpg123.so
-lib/libmpg123.so.20
+lib/libmpg123.so.22
 lib/mpg123/output_dummy.la
 lib/mpg123/output_dummy.so
 lib/mpg123/output_oss.la

---
WATANABE Kazuhiro (CQG00620@nifty.ne.jp)
Comment 3 dfilter service freebsd_committer 2010-01-04 21:28:52 UTC
novel       2010-01-04 21:28:26 UTC

  FreeBSD ports repository

  Modified files:
    audio/mpg123         Makefile distinfo pkg-plist 
  Log:
  Update to 1.10.0.
  
  PR:             141823, 142326
  Submitted by:   Oliver Herold <oh@fixmbr.de>, WATANABE Kazuhiro <CQG00620@nifty.ne.jp>,
                  Yuri Pankov <yuri.pankov@gmail.com>
  
  Revision  Changes    Path
  1.74      +1 -1      ports/audio/mpg123/Makefile
  1.17      +3 -3      ports/audio/mpg123/distinfo
  1.6       +1 -1      ports/audio/mpg123/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Roman Bogorodskiy freebsd_committer 2010-01-04 21:34:19 UTC
State Changed
From-To: open->closed

Committed, thanks!